#include <stdio.h> // for printf()

#include "messages.h" // for prototype consistency

/* alternatives :

   1) plusieurs fonctions
   2) macro pour ré-écrire des string
*/


static const char* messages[] = {
#ifdef LANG_FR
  "le contenu de la mémoire à l'adresse"
#else
  "memory content starting from"
#endif
  ,
#ifdef LANG_FR
  "vu comme des"
#else
  "dumped as"
#endif
};

// ======================================================================
void heading(const char* type, const void* mem)
{
  printf("%s %p %s %s"
#ifdef LANG_FR
         " "
#endif
         ":\n",
         messages[0], mem, messages[1], type
         );
}

// prinrf("...." "..." "...", ....);

// "ab" "cd" "ef"
