#include <stddef.h> // for size_t
#include <stdio.h> // for printf()

#include "dump_core.h" // for prototype consistency
#include "messages.h" // for heading()

// #define TYPE=char

#define BASE_char "%c"
#define BASE_double "%g"
#define BASE_int "%d"

#define FMT2(X) BASE_ ##X
#define FMT(X) FMT2(X)

#define STR2(X) #X
#define STR(X) STR2(X)

/* ne marche pas
    # define STR(X) #X
*/


void dump(const void* mem, size_t total_size)
{
  // non:  heading("TYPE", mem);
  heading(STR(TYPE), mem);
  const TYPE* const last = (const TYPE* ) mem + (total_size / sizeof(TYPE));
  for (const TYPE* p = mem; p < last; ++p) {
    printf("\t%p: " FMT(TYPE) "\n", (const void *) p, *p);
  }
}
